AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
License: MIT
AuthorName: Jonjo McKay
AuthorEmail: jonjo@jonjomckay.com
SourceCode: https://github.com/jonjomckay/fritter
IssueTracker: https://github.com/jonjomckay/fritter/issues

AutoName: Fritter

RepoType: git
Repo: https://github.com/jonjomckay/fritter

Builds:
  - versionName: 1.0.1
    versionCode: 20210205
    commit: v1.0.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@1.22.6
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.1.0
    versionCode: 20210316
    commit: v1.1.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@1.22.6
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.0
    versionCode: 20210331
    disable: no git tag
    commit: v2.0.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.0
    versionCode: 20210419
    commit: v2.0.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.1.0
    versionCode: 20210422
    commit: v2.1.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.2.0
    versionCode: 20210424
    commit: v2.2.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.2.1
    versionCode: 20210427
    commit: v2.2.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.2.2
    versionCode: 20210503
    commit: v2.2.2
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.3.0
    versionCode: 20210507
    commit: v2.3.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.3.1
    versionCode: 20210512
    commit: v2.3.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.4.0
    versionCode: 20210514
    commit: v2.4.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.5.0
    versionCode: 20210516
    commit: v2.5.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.6.0
    versionCode: 20210519
    commit: v2.6.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.6.1
    versionCode: 20210521
    commit: v2.6.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.6.2
    versionCode: 20210523
    commit: v2.6.2
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.4
    rm:
      - ios
      - test
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/jonjomckay/fritter/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2.6.2
CurrentVersionCode: 20210523
